net.sf.jasperreports.engine.fill

## Class JRTemplateEllipse

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplateElement
  - - net.sf.jasperreports.engine.fill.JRTemplateGraphicElement
    - - net.sf.jasperreports.engine.fill.JRTemplateEllipse

- All Implemented Interfaces:
    java.io.Serializable, Deduplicable, JRCommonElement, JRCommonGraphicElement, JRPenContainer, JRPropertiesHolder, JRStyleContainer

      public class JRTemplateEllipse
      extends JRTemplateGraphicElement

  Ellipse information shared by multiple print ellipse objects.
  Version:
    $Id: JRTemplateEllipse.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRTemplatePrintEllipse`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateGraphicElement

      `linePen`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `defaultStyleProvider, origin, parentStyle`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JRTemplateEllipse(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider)` Creates an ellipse template.
    `protected` | `JRTemplateEllipse(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JREllipse ellipse)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHashCode()` Returns a hash code to be used for the deduplicate map.
    `boolean` | `isIdentical(java.lang.Object object)` Determines if this instance is identical to another object.
    `protected void` | `setEllipse(JREllipse ellipse)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateGraphicElement

      `addGraphicHash, copyLinePen, getDefaultLineColor, getDefaultLineWidth, getFillValue, getLinePen, getOwnFillValue, graphicIdentical, setFill, setGraphicElement`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `addTemplateHash, getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setStyle, templateIdentical`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Constructor Detail

    - #### JRTemplateEllipse

          protected JRTemplateEllipse(JROrigin origin,
                           JRDefaultStyleProvider defaultStyleProvider,
                           JREllipse ellipse)

    - #### JRTemplateEllipse

          public JRTemplateEllipse(JROrigin origin,
                           JRDefaultStyleProvider defaultStyleProvider)

      Creates an ellipse template.
      Parameters:
        `origin` - the origin of the elements that will use this template
        `defaultStyleProvider` - the default style provider to use for this template

  - ### Method Detail

    - #### setEllipse

          protected void setEllipse(JREllipse ellipse)

    - #### getHashCode

          public int getHashCode()

      Description copied from interface: `Deduplicable`
      Returns a hash code to be used for the deduplicate map. The returned hash code should be consitent wiwh `Deduplicable.isIdentical(Object)`, i.e. if two objects are identical they should have the same hash code.
      Returns:
        deduplication hash code

    - #### isIdentical

          public boolean isIdentical(java.lang.Object object)

      Description copied from interface: `Deduplicable`
      Determines if this instance is identical to another object.
      Parameters:
        `object` - the object to compare with this instance
      Returns:
        `true` if the two objects are identical and can be deduplicated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com